<?xml version="1.0" encoding="utf-8" ?>
<items>
  <item time="2019-06-23" version="1.2">
    <content>
      <en-US>### What's new:
- Fixed video playback problems
- Fixed some cases when playlist cards aren't displayed
- Fixed some cases when the app crashes
- Fixed app crashes on trying to navigate to not existing channel/playlist/video
- Fixed history page refresh button
- You can now report comments as spam
- You can now report videos
- Enchanced background subscriptions check sequence
- Corrected misspells in English localization
      </en-US>
      <ru-RU>### Что нового:
- Исправлены проблемы с воспроизведением видео
- Исправлены некоторые случаи при которых карточки плейлистов не отображались
- Исправлены некоторые случай при которых приложение вылетало
- Исправлены вылеты приложения при попытке перейти на несуществующий канал/плейлист/видео
- Исправлена кнопка обновления на странице истории просмотров
- Теперь вы можете помечать комментарии как спам
- Теперь вы можете отправлять жалобы на видео
- Улучшена проверка новых видео подписок в фоне
- Исправлены ошибки в английской локализации
      </ru-RU>
    </content>
  </item>
  <item time="2019-06-20" version="1.1">
    <content>
      <en-US>### What's new:
- Added localization contribution system
- Added ability to completely collapse command bars (check settings)
- Added feature that checks your clipboard and suggests you to open YouTube page in the app if there is any (check settings)
- Added additional analytics tools to detect authorization fails
- Added video speed controller (check video settings)
- Test ads are now shown
- Fixed gaps in grids
- Fixed some cases when on maximizing video it pauses/continues
- Fixed missing inbox items due to incompatible date formats
- Fixed inability to unsubscribe from channel
- Fixed minimization of videos with unusual aspect ratios
- Fixed some cases when video continues to play in the background after closing/reloading video page

### NB:
Since Microsoft hasn't fixed ad banners I'm forced to release the test ones. It will help me to optimize mechanics of ads delivery and make you fill more comfortable when the real ones will appear. Feedback is welcomed.
      </en-US>
      <ru-RU>### Что нового:
- Теперь вы можете помочь нам переводить приложение на новые языки!
- Добавлена возможность полностью скрывать панель команд (см. Настройки)
- Добавлена функция которая сканирует ваш буфер обмена и, если там есть YouTube-ссылка, предлагает открыть соответствующую страницу в приложении (см. Настройки)
- Добавлены дополнительные инструменты аналитики для обнаружения ошибок авторизации
- Добавлен ползунок управления скоростью воспроизведения видео (см. Настройки видео)
- Теперь показываются тестовая реклама
- Исправлены пропуски в сетках
- Исправлены некоторые случаи при которых разворачивание видео останавливало/воспроизодило видео
- Исправлены пропущенные сообщения из-за несовместимых форматов дат системы
- Исправлена невозможность отписаться от канала
- Исправлено сворачивание видео с необычными соотношениями сторон
- Исправлены некоторые случаи при которых видео продолжало воспроизводиться в фоне после закрытия/обновления страницы видео

### NB:
Поскольку Майкрософт все еще не исправили реальные рекламные баннеры, мне необходимо выпустить тестовые. Это поможет мне оптимизировать процесс доставки рекламы и позволит вам чувствовать себя более комфортно когда будут запущены настоящие. Отзывы приветствуются.
      </ru-RU>
    </content>
  </item>
  <item time="2019-06-19" version="1.0.1">
    <content>
      <en-US>### What's new:
- Improved analytics tools for more precise bugs tracking
- Fixed multipying downloads history entries on login/logout
- Added feedback button failed authentication popup
- Duplicated subscriptions are now ignored on login
      </en-US>
      <ru-RU>### Что нового:
- Улучшены инструменты аналитики для более быстрого поиска багов
- Исправлено дублирование записей истории загрузок при входе/выходе из аккаунта
- Добавлена кнопка отзыва в сообщении об ошибке при входе в аккаунт
- Повторяющиеся подписки теперь игнорируются при входе
      </ru-RU>
    </content>
  </item>
  <item time="2019-05-21" version="1.0">
    <content>
      <en-US>##[Final release]
### What's new:
- In-video advert now doesn't appear on minimized playback
- Fixed small header appearing on channel page
- Fixed home page loading in long active sessions
- Optimization and bugfixes
- Fixed crash when local watch history reaches 87 entries (now its capacity is 200)
- Added backward navigation to video page
- Improved authentication process
- Removed outdated logo from 'About' page and updated Twitter link
- Play/pause toggle on video player mouse click
- Added player hotkeys:
    Space - Play/Pause
    Arrow right/left - Skip forward/backward
    F11 - Toggle full screen
- Activated real ads
- Fixed app crash on video's zero rating
- "Subscribe" button now is hidden on your videos
      </en-US>
      <ru-RU>##[Релизная версия]
### Что нового:
- Теперь реклама в видео не появляется в компактном режиме
- Исправлено появление меленького заголовка на странице канала
- Исправлено отображение видео на домашней странице при долгой активной сессии
- Оптимизация и исправление ошибок
- Исправлен сбой приложения при достижении локальной историей 87 записей (текущая емкость журнала - 200 записей)
- Добавлена обратная навигация для страниц просмотра
- Улучшен процесс аутентификации
- Удален старый логотип с страницы 'О приложении' и обновлена ссылка на Твиттер
- Пауза/воспроизведение при клике мышью по окну плеера
- Добавлены горячие клавиши:
    Пробел - Пауза/Воспроизведение
    Стрелка вправо/влево - Перейти вперед на 30 секунд/назад на 10 секунд
    F11 - Переключить полноэкранный режим
- Запущена реальная реклама
- Исправлен вылет приложения при нулевом рейтинге видео
- Кнопка "Подписаться" теперь скрыта на странице вашего видео
      </ru-RU>
    </content>
  </item>
  <item time="2019-05-20" version="0.6">
    <content>
      <en-US>##[Final pre-release version]
### What's new:
- Fixed fails when trying to retrieve history, WL or recommended
- Fixed ads appearance
- Fixed ads watermarks on video when it was opened through notification
- Optimized and enchanced video playback
- Fixed special characters appearing in toast notifications
- History page re-design
- Added app history management (doesn't affect web site's history)
- Extended history information for videos (watching progress)
- Continue where you left off feature
- Watch later playlist now acts like regular playlist
- If video is longer than 1 hour ads will be shown every 30 minutes
- Added incognito mode (available in video card context menu)
- Search suggestions now run smoother
- FoxTube pro price is now displayed in menu
- Fixed crashes on opening links which don't contain http(s) prefix
- Fixed backward navigation with minimized video
- Player re-design
- Added quality selector to live streams playback
- Added "Auto" quality option for videos
- Updated design of user's avatar in the top-right corner

####[NB]
This is the final pre-release minor version. That means that until 1.0 release there will be no new features implemented. All subsequent updates will contain only bugfixes
      </en-US>
      <ru-RU>##[Последняя предварительная версия]
### Что нового:
- Исправлена проблема получения истории, "Посмотреть позже" и рекомендаций
- Исправлен внешний вид рекламы
- Исправлено появление водяных занков рекламы на видео при открытии через уведомления
- Оптимизирован и улучшен просмотр видео
- Исправлено появление особых символов в уведомлениях
- Редизайн страницы истории
- Добавлено управление историей просмотра приложения (не влияет на историю просмотров на сайте)
- Расширенная информация о просмотренном видео (прогресс просмотра)
- Функция продолжения просмотра
- Плейлист "Посмотреть позже" теперь ведет себя как обычный плейлист
- Если видео длится более 1 часа, рекламный баннер будет появляться каждые 30 минут
- Добавлен режим инкогнито (доступен в контекстном меню видео карточки)
- Подсказки при поиске работают плавнее
- Теперь на кнопке отключения рекламы отображается текущая цена
- Исправлены вылеты при попытке открыть ссылку не содержащую http(s) префикс
- Исправлена обратная навигация при уменьшенном видео
- Редизайн плеера
- Добавлено меню выбора качества для прямых эфиров
- Добавлено опция "Авто" в меню выбора качеста видео
- Обновлен дизайн аватара пользователя в верхнем правом углу

####[NB]
Версия 0.6 станет последней пред релизной версией. Это значит, что новые функции не будут добовляться до полного релиза приложения. Все последующие обновления будут содержать лишь исправления
      </ru-RU>
    </content>
  </item>
  <item time="2019-04-06" version="0.5">
    <content>
      <en-US>### What's new:
- App optimization
- Changelog notification now pops up after update at first launch
- Added ability to add videos to playlists on video page
- Added ability to add videos to playlists through card's context menu
- Added ability to download video through card's context menu
- Deleted videos are now also displayed
- Added support of April 2018 Update (Windows 10 build 17134)
- Added adverts (not real. Just for debugging)
- Fixed header titles
- Some items were moved from menu to header
- Added "Share" button to video cards
- Added "Delete video from playlist" button to video cards on playlist page
- Improved channel cover quality
- If available, shows localized titles and descriptions (based on "Search relevance language" parameter set in settings)
- Updated russian localization
      </en-US>
      <ru-RU>### Что нового:
- Оптимизация приложения
- Добавлено уведомление со списком изменений при первом запуске после обновления
- Добавлена возможность добавлять видео в плейлисты на странице просмотра
- Добавлена возможность добавлять видео в плейлисты через контекстное меню карточки
- Добавлена возможность скачивать видео через контекстное меню карточки
- Удаленные видео теперь также отображаются
- Добавлена поддержка Апрельского Обновления 2018 (Windows 10 сборка 17134)
- Добавлена реклама (не настоящие. Только для отладки)
- Исправлено изменение заголовков
- Некоторые пункты меню перемещены в заголовок
- Добавлена кнопка "Поделиться" к видео карточкам
- Добавлена кнопка "Удалить видео из плейлиста" к видео карточкам на страницах плейлистов
- Улучшено качество обложки канала
- Показывает локализированные заголовки и описания если доступны (основан на параметре "Предпочитаемый язык поиска" установленного в настройках)
- Обновлена русская локализация
      </ru-RU>
    </content>
  </item>
  <item time="2019-04-05" version="0.4">
    <content>
      <en-US>### What's new:
- Improved stability and speed of the app
- Fixed a lot of bugs
- Rebuilt player
- Added animations and acrylic
- Added accout information
- Added history
- Added "Watch later" playlist
- Added "Recommended" and "Subscriptions" tabs on home page
- Added tiny icon near the channel search
- Added ability to delete comments
- Rebuilt videos downloading
- Added transparent title bar
- Added prompts to rate the app and leave feedback (dialogs shows up after 12 and 24 hours of active using)
- Rebuilt cards grid
- Added publish date on the video page
- Stream countdown was rebuilt and moved to the top of video page
- Current playlist focuses on current video
- Text selection color is now red instead of system accent color
- Added toast notifications for livestreams

### Known issues:
- 'History' and 'Watch later' playlists sometimes are missing. Solution: restart the app
- The same problem with 'Recommended' and 'Subscriptions' tabs on home page
- Somewhere there is no russian locale. Will be finished in 1.0 version
- Playlists management will be introduced in the next version but it may miss some playlists
- Even though I've done ads delivering system it's not introduced because of some problems with ads' lookup. I just want to make your ads experience to be the best one. So it won't be implemented until I make sure that they are ready
      </en-US>
      <ru-RU>### Что нового:
- Улучшена стабильность и скорость приложения
- Исправлена куча багов
- Переработан плеер
- Добавлены анимации и акрил
- Добавлена информация об аккаунте
- Добавлена история
- Добавлен плейлист "Посмотреть позже"
- Добавлены вкладки "Рекоммендованные" и "Подписки" на домашней странице
- Добавлена маленькая иконка канала при прокрутке вниз на странице канала
- Добавлена возможность удалять комментарии
- Переработано скачивание видео
- Добавлен прозрачный заголовок окна
- Добавлены всплывающие уведомления с просьбой оценить приложение и оставить отзыв (появляются после 12 и 24 часов активного использования)
- Переработана сетка карточек
- Добавлена информация о дате публикации видео на странице просмотра
- Обратный отсчет для стримов переработан и перенесен вверх страницы
- Список видео текущего плейлиста сразу перематывается на текущее
- Текст выделяется красным, а не текущим цветом системы
- Добавлены уведомления для прямых эфиров

### Известные проблемы:
- История и плейлист 'Посмотреть позже' иногда могут не отображаться. Решение: перезапустить приложение
- Аналогично и со вкладками 'Рекомендованные' и 'Подписки' на домашней странице
- В некоторых местах отсутствует русская локализация. Будет дополнена в версии 1.0
- Управление плейлистами будет добавлено в следующей версии, но некоторые плейлисты могут отсутствовать
- Хотя я сделал систему доставки рекламы, она не введена из-за некоторых проблем с видом банеров. Я хочу сделать ваш опыт взаимодействия с рекламой в приложении лучше, так что она не будет введена до тех пор, пока я не буду в этом уверен
      </ru-RU>
    </content>
  </item>
  <item time="2019-02-02" version="0.3">
    <content>
      <en-US>### What's new:

- Small fixes
- First public pre-release version
- Some content was cut out due to its incompleteness
      </en-US>
      <ru-RU>### Что нового:

- Мелкие исправления багов
- Эта версия является первой пред-релизной публичной версией
- Некотроые функции были вырезаны из-за их незавершенности
      </ru-RU>
    </content>
  </item>
  <item time="2019-01-05" version="0.2.19012">
    <content>
      <en-US>### What's new:

- 'Live' button fixed in the player
- Long channel names on crads fixed
- Fixed video description disappearing on window resizing
- Player seek is fixed
- Added video buffering progress indicatior
- Small fixes

### Known issues:

- Recommended and subscriptions pages aren't implemented
- History isn't implemented
- Playlists management isn't implemented
- Ads aren't implemented
      </en-US>
      <ru-RU>### Что нового:

- Кнопка перехода к прямому эфиру на стримах теперь работает
- Исправлен баг с длинными именами каналов на карточках
- Исправлено исчезание описания видео при изменении размеров окна
- Исправлен ползунок перемотки видео
- Добавлен индикатор буферизации видео
- Мелкие исправления

### Что по-прежнему не работает:

- Страница рекомендованных видео и страница видео с подписок
- История
- Работа с плейлистами
- Нет карточек рекламы
      </ru-RU>
    </content>
  </item>
</items>
